Bug 202956 - wget fails to retry DNS resolution when temporary link failure
wget fails to retry DNS resolution when temporary link failure
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-08-17 10:19 EDT by JW
Modified: 2009-03-26 09:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-26 09:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description JW 2006-08-17 10:19:55 EDT
Description of problem:
wget fails with "Resolving xxx... failed: Temporary failure in name resolution"
but although it is well described as being temporary (because it is) wget fails
to retry the name resolution.

Version-Release number of selected component (if applicable):
wget-1.10.2-0.fc4 but probably others too.

How reproducible:

Steps to Reproduce:
1. Start wget on a large file
2. Take down ethernet link then bring it back up
Actual results:
wget often fails with above message

Expected results:
wget should retry.

Additional info:
When a link goes down then often DNS resolution will also go down temporarily. 
If wget is to attempt to do reliable fetches then it should allow for temporary
DNS failure and try again after a suitable pause.
Unfortunately wget doesn't try hard enough.
Comment 1 Christian Iseli 2007-01-22 06:46:56 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 JW 2007-01-22 06:57:11 EST
FC6 too
Comment 3 Matthew Miller 2007-04-10 15:44:45 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.
Comment 4 JW 2007-04-10 20:25:19 EDT
Applicable to Fedora Core 6. Sorry about this.

And I have already said this in comment #2 about!

You aren't reading anything are you Matt!

Comment 5 Bug Zapper 2008-04-03 23:32:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Micah Cowan 2008-05-13 16:14:39 EDT
It's not at all clear to me what Wget "should" do in response to this situation.
How long should it wait? If the DNS or link is down, how long might it be down?
And, should Wget hold up downloads of other fetches in a recursive session?

"Reliable fetches" with Wget, to me means that it can attempt to finish off a
file when there is a sudden loss of connection, and that Wget can be used to
continue an unfinished file from previous sessions. I don't believe it's Wget's
responsibility to sit around and wait for temporary network failures to resolve
themselves. That's what "wget -c" is for.
Comment 7 Bug Zapper 2008-11-26 02:00:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 JW 2008-11-26 02:09:15 EST
(In reply to comment #6)
> How long should it wait?

As long the user wants, of course.
Comment 9 Karsten Hopp 2009-03-26 09:20:53 EDT
I'll close this as the upstream maintainer already expressed his opinion in  comment #6 that a retry isn't wget's responsibility.

Note You need to log in before you can comment on or make changes to this bug.